{include="header"}

<script type="text/javascript">
   function fs_marcar_todo()
   {
      $('#f_borrador_res input:checkbox').prop('checked', true);
   }
   function fs_marcar_nada()
   {
      $('#f_borrador_res input:checkbox').prop('checked', false);
   }
</script>

<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="page-header">
            <h1>
               <a href="index.php?page=ventas_articulos" class="btn btn-xs btn-default">
                  <span class="glyphicon glyphicon-arrow-left"></span>
               </a>
               Borrador de artículos
               <a href="{$fsc->url()}" class="btn btn-xs btn-default" title="recargar la página">
                  <span class="glyphicon glyphicon-refresh"></span>
               </a>
            </h1>
            <p class="help-block">
               Busca los artículos que quieras, seleccionalos y pulsa el botón borrar.
            </p>
         </div>
      </div>
   </div>
   <form name="f_borrador" action="{$fsc->url()}" method="post" class="from">
      <div class="row">
         <div class="col-sm-3">
            <div class="input-group">
               <input type="text" name="query" value="{$fsc->query}" class="form-control" autocomplete="off"/>
               <span class="input-group-btn">
                  <button class="btn btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                     <span class="glyphicon glyphicon-search"></span>
                  </button>
               </span>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               <select class="form-control" name="codfamilia" onchange="this.form.submit()">
                  <option value="">Todas</option>
                  <option value="">------</option>
                  {loop="$fsc->familia->all()"}
                  <option value="{$value->codfamilia}"{if="$value->codfamilia==$fsc->codfamilia"} selected=""{/if}>{$value->descripcion}</option>
                  {/loop}
               </select>
            </div>
         </div>
         <div class="col-sm-7 text-right">
            <button class="btn btn-sm btn-danger" type="submit" onclick="this.disabled=true;this.form.submit();">
               <span class="glyphicon glyphicon-erase"></span>&nbsp; Borrar
            </button>
         </div>
      </div>
   </form>
   <form id="f_borrador_res" name="f_borrador_res" action="{$fsc->url()}" method="post" class="from">
      <input type="hidden" name="query" value="{$fsc->query}"/>
      <input type="hidden" name="codfamilia" value="{$fsc->codfamilia}"/>
      <div class="row">
         <div class="col-sm-12">
            <div class="table-responsive">
               <table class="table table-hover">
                  <thead>
                     <tr>
                        <th width="20"></th>
                        <th class="text-left">Referencia + Descripción</th>
                        <th class="text-left">Categoria</th>
                        <th class="text-right">PVP</th>
                        <th class="text-right">PVP+IVA</th>
                        <th class="text-right">Stock</th>
                     </tr>
                  </thead>
                  {loop="$fsc->resultados"}
                  <tr{if="$value->bloqueado"} class="danger"{elseif="$value->stockfis<$value->stockmin"} class="warning"{/if}>
                     <td><input class="checkbox-inline" type="checkbox" name="referencias[]" value="{$value->referencia}"/></td>
                     <td><a href="{$value->url()}">{$value->referencia}</a> {$value->descripcion}</td>
                     <td>{$value->codfamilia}</td>
                     <td class="text-right"><span title="actualizado el {$value->factualizado}">{$fsc->show_precio($value->pvp)}</span></td>
                     <td class="text-right"><span title="actualizado el {$value->factualizado}">{$fsc->show_precio($value->pvp_iva())}</span></td>
                     <td class="text-right">{$value->stockfis}</td>
                  </tr>
                  {else}
                  <tr class="warning">
                     <td colspan="5">Ningun artículo encontrado.</td>
                  </tr>
                  {/loop}
               </table>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-6">
            <div class="btn-group">
               <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_todo()" title="Marcar todo">
                  <span class="glyphicon glyphicon-check"></span>
               </button>
               <button class="btn btn-sm btn-default" type="button" onclick="fs_marcar_nada()" title="Desmarcar todo">
                  <span class="glyphicon glyphicon-unchecked"></span>
               </button>
            </div>
         </div>
         <div class="col-sm-6 text-right">
            <button class="btn btn-sm btn-danger" type="submit" onclick="this.disabled=true;this.form.submit();">
               <span class="glyphicon glyphicon-erase"></span>&nbsp; Borrar
            </button>
         </div>
      </div>
   </form>
</div>

{include="footer"}
